{% extends "layout.html" %}

{% block content %}

<script>
$(document).ready(function() {
    $("#add_stocks").click(function() {
        $('.ui.modal').modal('show');
    })

    $("#save").click(function() {
 
        var symbols = $("#symbols").val();
 
        var stockSymbols = symbols.split("\n");

        for (var i = 0; i < stockSymbols.length; ++i) {
            console.log(stockSymbols[i]);

            $.ajax({
                url: "/stock",
                type: "POST",
                contentType: "application/json",
                data: JSON.stringify({"symbol": stockSymbols[i]}),
                dataType: 'json'
            })
        }
    $('.ui.modal').modal('hide');
    $('#symbols').val('');
    })
});
    
</script>

<form>
    <div class="ui input">
    <input name="forward_pe" type="text" placeholder="P/E Ratio" value="{{ forward_pe or ''}}">
    </div>

    <div class="ui input">
        <input name="dividend_yield" type="text" placeholder="Div Yield" value="{{ dividend_yield or ''}}">
    </div>

    <div class="ui checkbox">
        <input name="ma50" type="checkbox" name="example" {% if ma50 %}checked="checked"{% endif %}>
        <label>Above 50 day MA</label>
    </div>

    <div class="ui checkbox">
        <input name="ma200" type="checkbox" name="example" {% if ma200 %}checked="checked"{% endif %}>
        <label>Above 200 dat MA</label>
    </div>

    <button type="submit" class="ui button primary"> Filter </button>
</form>

<div>
    <button id="add_stocks" class="ui button primary"> Add stocks </button>
</div>


<div class="center">
    <a href="/">
        <button id="refresh_filter" class="ui left floated button"> Reset filter </button>
    </a>
</div>

<table class="ui celled table">
    <thead>
    <tr>
        <th>Ticker</th>
        <th>Price</th>
        <th>P/E</th>
        <th>EPS</th>
        <th>Div Yield</th>
        <th>50 Day</th>
        <th>200 Day</th>
    </tr></thead>
    <tbody>
        {% for stock in stocks %}
    <tr>
        <td> {{ stock.symbol }}</td>
        <td> {{ stock.price }}</td>
        <td> {{ stock.forward_pe }}</td>
        <td> {{ stock.forward_eps }}</td>
        <td> {{ stock.dividend_yield }}</td>
        <td> {{ stock.ma50 }}</td>
        <td> {{ stock.ma200 }}</td>
    </tr>
    {% endfor %}
    </tbody>
</table>

<div class="ui modal">
<i class="close icon"></i>
<div class="header">
    Add stock
</div>

<div class="content">
    <div class="ui form">
        <div class="field">
            <label>Enter stock tickers</label>
            <textarea id="symbols"></textarea>
        </div>
    </div>
</div>

<div class="actions">
    <div class="ui black deny button">
        Cancel
    </div>
    <div id="save" class="ui positive right labeled icon button">
        Add tickers
        <i class="plus icon"></i>
    </div>
</div>

{% endblock %}